Subject: bug#952:

From: Joshua Branson <[email-masked]>
Date: Fri, 16 Sep 2016 13:04:25 +0000

I'm using Parabola GNU/Linux.  My emacs is version 24.5-4.

Have you tried updating to a newer version of Emacs?  The latest stable version of Emacs is 24 (Emacs 25 will soon be released soon).  I'm not a developer of Emacs, but if you are using an outdated version, the developers of Emacs will probably prioritize fixing bugs on newer versions of Emacs.

And don't -lC naturally conflict?  Try running both ls -lC and ls -Cl in a terminal.  In my terminal, it does what the last flag says.  So l -lC displays the output in columns and l -Cl looks just like l -l.

I've done

(dired '("~/" ".bashrc"  ".bash_profile" "-l")  ;; shows the long format

(dired '("~/"  ".bashrc"  ".bash_profile" "-lg")  ;;shows the long format w/o displaying the file owner.

And it worked as expected.

Can you give me a few more examples where dired is ignoring flags?